Subject: bug#69651: 30.0.50; Theme-agnostic hook for theme loading

From: Visuwesh <[email-masked]>
Date: Sat, 09 Mar 2024 15:09:49 +0530

[வெள்ளி மார்ச் 08, 2024] Andrea Ciceri via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Modus themes provide an hook for theme loading and the manual even
> suggests a way to implement an agnostic hook that works for all the
> themes using advices:
>
> https://www.gnu.org/software/emacs/manual/html_node/modus-themes/A-theme_002dagnostic-hook-for-theme-loading.html
>
> Why isn't such an hook provided upstream?

enable-theme-functions added in Emacs 29.1 already does the job AFAIU.

> This is the first time I use the GNU bugs tracker and this is more like
> a "kind request" than bug, I hope I did everything correctly.
>
> If you confirm that it makes sense and should be added then I can try to
> send a patch by myself (I'm not familiar with Emacs internals so
> probably I need to figure out where this should be added before).
>
> Thanks!
>
>
> Andrea